Edit Message
POST
/api/partner/v2/chats/{chat_id}/chat_messages/{id}/edit
const url = 'https://api.linqapp.com/api/partner/v2/chats/1/chat_messages/1/edit';const options = { method: 'POST', headers: { 'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>', 'Content-Type': 'application/json' }, body: '{"text":"Updated message text"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.linqapp.com/api/partner/v2/chats/1/chat_messages/1/edit \ --header 'Content-Type: application/json' \ --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>' \ --data '{ "text": "Updated message text" }'Edits an existing message in the chat
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” chat_id
required
integer
The chat ID
id
required
integer
The message ID
Request Body required
Section titled “Request Body required ” Media type application/json
object
text
required
string
Example
Updated message textResponses
Section titled “ Responses ”Message edited successfully
Media type application/json
object
message
string
data
object
id
integer
text
string
Example
{ "message": "Message edited successfully", "data": { "id": 243062, "text": "nice" }}